# Gimp.Image.prototype.merge_down

    function merge_down(merge_layer: Gimp.Layer, merge_type: Gimp.MergeType): Gimp.Layer {
        // Gjs wrapper for gimp_image_merge_down()
    }

Merge the layer passed and the first visible layer below.

This procedure combines the passed layer and the first visible layer below it using the specified merge type. A merge type of EXPAND_AS_NECESSARY expands the final layer to encompass the areas of the visible layers. A merge type of CLIP_TO_IMAGE clips the final layer to the extents of the image. A merge type of CLIP_TO_BOTTOM_LAYER clips the final layer to the size of the bottommost layer.

merge_layer

  The layer to merge down from.

merge_type

  The type of merge.

Returns

  The resulting layer.